package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.SysCarFaultLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 *  故障记录日志 Mapper接口
 * @author 袁子龙
 * @package com.muyu.breakdown.mapper
 * @name: SysCarFaultLogMapper
 * @date: 2024/9/22 21:06
 */
@Mapper
public interface SysCarFaultLogMapper extends BaseMapper<SysCarFaultLog> {






    public List<SysCarFaultLog>selectSysCarFaultLogList(SysCarFaultLog SysCarFaultLog);


    public List<SysCarFaultLog>listStatusSolve(SysCarFaultLog sysCarFaultLog);


    public List<SysCarFaultLog>listStatusProcess(SysCarFaultLog sysCarFaultLog);


    public List<SysCarFaultLog>listStatusIgnore(SysCarFaultLog sysCarFaultLog);
}
